- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: deff05d3-c8cf-44de-bcf3-794ff4fb118e
    creation_time: 2023-02-17T13:45:08.828724Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark02_linear.i
      input_file_hashes:
        c/loop-zilu/benchmark02_linear.i: a49557d960d757ebc59691c53a34969948d685fd24f146c763d0c70a84ed86eb
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark02_linear.i
    file_hash: a49557d960d757ebc59691c53a34969948d685fd24f146c763d0c70a84ed86eb
    line: 25
    column: 0
    function: main
  loop_invariant:
    string: l > 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 39c0423b-b243-4dfd-8293-d1f9f6806aa9
    creation_time: 2023-02-17T13:45:08.829135Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark02_linear.i
      input_file_hashes:
        c/loop-zilu/benchmark02_linear.i: a49557d960d757ebc59691c53a34969948d685fd24f146c763d0c70a84ed86eb
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark02_linear.i
    file_hash: a49557d960d757ebc59691c53a34969948d685fd24f146c763d0c70a84ed86eb
    line: 29
    column: 0
    function: main
  location_invariant:
    string: l >= 1
    type: assertion
    format: C

